freeipmi (1.1.6-0kali1) kali; urgency=low

  * Upstream import

 -- Mati Aharoni <muts@kali.org>  Thu, 10 Apr 2014 15:52:18 -0400

freeipmi (1.1.5-3) unstable; urgency=low

  * Move into packages forgotten:
    - ipmi-pet to the freeipmi-tools package
      (Closes: #677546). Thanks Ferenc Wagner for the report
    - pkgconfig/*.pc files to corresponding -dev pkgs
    - various manpages, contributed scripts, etc
  * debian/rules:
    - added verification step that all "installed" materials
      are placed into packages (upon dh_installdeb step)
  * debian/control:
    - added freeipmi binary meta-package to pull in all components of
      freeipmi suite

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 14 Jun 2012 15:46:22 -0400

freeipmi (1.1.5-2) unstable; urgency=low

  * Add all ipmi_monitoring*.h to the distribution within
    libipmonitoring-dev (Closes: #676846).  Thanks Arnaud Quette for the
    report and a perspective patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 10 Jun 2012 22:59:35 -0400

freeipmi (1.1.5-1) unstable; urgency=low

  * New upstream release (Closes: #635508)
    - GPLv3 licensed now
    - additional patches: up_fixmanpages
    - new soversions: libipmimonitoring5, libfreeipmi12
  * debian/watch: adjusted url
  * debian/patches: 
    - adjusted for config files move
    - 0001-Fix-Wformat-security-warnings.patch to build
      with hardening flags
  * debian/copyright: DEP5 + years
  * debian/control:
    - version build-dependency on autotools-dev, version 20100122.1
      deduced from autotools-dev's changelog (Closes: #619248)
    - boost policy compliance to 3.9.3 -- no further changes
  * debian/*.symbols: added to overview libraries API changes
  * debian/rules: use dpkg-buildflags for configure to inject hardening
    options
  * debian/control: rely on Pre-Depends: dpkg (>=1.15.7.2~) to avoid
    safe-guarding of dpkg-maintscript-helper calls in maintainer scripts
    (Closes: #659756).  Although use of Pre-Depends discouraged by policy
    common consencus for such use seemed was 'ok':
    https://lists.debian.org/debian-devel/2011/03/msg00751.html
  * debian/freeipmi-{common,ipmidetectd}.{{pre,post}inst,prerm}
    - to take care about moved under /etc/freeipmi configs

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 04 Jun 2012 15:28:41 -0400

freeipmi (0.8.12-3) unstable; urgency=low

  * Drop build-depend on libreadline since it is not used any longer
    (Closes: #634440). Thanks Lucas!
  * Re-formated Build-Depends into mutliple lines

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 18 Jul 2011 19:29:26 -0400

freeipmi (0.8.12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping libtool la files in binary packages. Closes: #610134
    http://wiki.debian.org/ReleaseGoals/LAFileRemoval

 -- Andreas Metzler <ametzler@debian.org>  Sat, 09 Apr 2011 14:38:42 +0200

freeipmi (0.8.12-2) unstable; urgency=low

  * Upload to unstable: this upstream version is robust to 
    --no-add-needed (Closes: #615716)

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 27 Feb 2011 21:03:36 -0500

freeipmi (0.8.12-1) experimental; urgency=low

  * [b3c7c12] Imported Upstream version 0.8.12
  * [16ce784] Use up-to-date config.{sub,guess} to fix system detection
    (Closes: #605819)

 -- Yaroslav Halchenko <debian@onerussian.com>  Fri, 24 Dec 2010 22:09:44 -0500

freeipmi (0.8.10-1) experimental; urgency=low

  * [53ba1b1] Imported Upstream version 0.8.10
    - [d662212] freeipmi- prefix stripped upstream from bmc-watchdog
                daemon/scripts
    - [335992b] libfreeipmi soversion advanced from 6 to 10 -- package
                rename
    - [4607787] libipmimonitoring soversion advanced from 1 to 4 --
                package rename
  * [6a9c9a1] Packaging reverted to be based on tarballs
    - [99ea590] Use pristine-tar
    - [95fc33b] Switch to 3.0 (quilt) source format
    - [bf6be36] Converted changes to bmc-watchdog into a quilt patch
    - [d6cd92c] Move gbp.conf under debian/
    - [18a32b4] GIT VCS is not based on CVS any longer. Added NEWS entry
                about VCS switch
    - [9076e3f] debian/rules: converted to use dh7
  * [18a97eb] Boost policy compliance to 3.9.1 -- no changes
  * [5329ccd] Boost dh compat to 7 for dh_install to operate consistent
              with previous promises
  * [971671f] Moving installed manpages listing into .manpages
  * [8bfd2b0] NEWS entry describing renames
  * [a925d46] Install all readmes
  * [488b18b] Fixed up few missing installs
  * [678b7f0] fixing up chrpath stripping

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 02 Nov 2010 09:42:07 -0400

freeipmi (0.7.17~beta2-1) unstable; urgency=low

  * Fresh (as of 2009/12/07) upstream for 0.7 branch -- includes a few bugfixes
    on top of 0.7.15-2.  This would be probably the last 0.7 release in Debian
    sid (0.8 packaging is on the way).

 -- Yaroslav Halchenko <debian@onerussian.com>  Thu, 17 Jun 2010 12:36:59 -0400

freeipmi (0.7.15-2) unstable; urgency=low

  * Merged upstream's 0.7.16beta1:
    - Fix for FTBFS on kFreeBSD (closes: #557887). Kudos go
      to Cyril Brulebois for the report and patch.

 -- Yaroslav Halchenko <debian@onerussian.com>  Wed, 25 Nov 2009 20:18:38 -0500

freeipmi (0.7.15-1) unstable; urgency=low

  * Initial Debian release (closes: #443212)
  * Taking over ITP which had no activity/replies
    - debian/control
      + policy version boost to 3.8.3 from 3.8.0
      + me in maintainer
      + tune up descriptions to my liking
      + added Homepage, Vcs- header fields
      + freeipmi-common to contain common config file + info/man pages
    - debian/copyright
      + list proper copyright holders (not authors)
    - debian/watch -- added
    - debian/*.install -- reverted to install tools under /sbin: nothing
      IPMI-related is destined from poor mortals
    - abandoned quilt -- raw git for now
    - Debian-specific init scripts
  * Fix-up in few manpages (adopted upstream)

 -- Yaroslav Halchenko <debian@onerussian.com>  Tue, 03 Nov 2009 23:16:53 -0500

freeipmi (0.7.9-1~yarik0) UNRELEASED; urgency=low

  * New upstream release
  * Disabling failing patch

 -- Yaroslav Halchenko <debian@onerussian.com>  Mon, 08 Jun 2009 15:06:48 -0400

freeipmi (0.6.5-1) UNRELEASED; urgency=low

  * New Upstream Version: 0.6.5
  * Add ipmi-oem and ipmi-sensors-config into freeipmi-tools package
  * Remove ipmi-locate.8 patch which was included in upstream

 -- Jean Parpaillon <jean.parpaillon@kerlabs.com>  Wed, 20 Aug 2008 15:53:06 +0200

freeipmi (0.5.1-1) UNRELEASED; urgency=low

  * Initial packaging
  * Patch ipmi-locate.8 to have the correct section
  * Depend on quilt for above
  * Rewritten as per upstream's preferred package split

 -- Matthew Johnson <mjj29@debian.org>  Sat, 12 Jul 2008 19:39:25 +0100
